%define major 0
%define libname %mklibname fprint %{major}
%define devname %mklibname fprint -d

Summary:	Library for adding support for consumer fingerprint readers
Name:		libfprint
Version:	0.5.1
Release:	2
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.freedesktop.org/wiki/Software/fprint/libfprint
Source0:	http://people.freedesktop.org/~hadess/%{name}-%{version}.tar.xz
BuildRequires:	doxygen
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(nss)

%description
libfprint is an open source software library designed to make it easy for
application developers to add support for consumer fingerprint readers to their
software.

Features:
    * Written in C
    * Licensed as LGPL-2.1
    * Depends on libusb for USB communication and glib
    * Primarily developed for linux, but should be fairly portable
    * Offers a single API to application developers to access the entire range
      of supported devices
    * Supports imaging - downloading live fingerprint scans from the device
    * Includes image processing/matching code
    * Supports enrollment/verification - enrolling a print from a known user,
      and then later comparing a live scan to the enrolled print 

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Library for adding support for consumer fingerprint readers
Group:		System/Libraries
Provides:	%{name} = %{EVRD}

%description -n %{libname}
libfprint is an open source software library designed to make it easy for
application developers to add support for consumer fingerprint readers to their
software.

%files -n %{libname}
%{_libdir}/libfprint.so.%{major}*
%{_sysconfdir}/udev/rules.d/60-fprint-autosuspend.rules

#--------------------------------------------------------------------

%package -n %{devname}
Summary:	Development library for adding support for consumer fingerprint readers
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
libfprint is an open source software library designed to make it easy for
application developers to add support for consumer fingerprint readers to their
software.

This package includes the headers and development library for building
applications that support finger print readers.

%files -n %{devname}
%{_includedir}/libfprint
%{_libdir}/libfprint.so
%{_libdir}/pkgconfig/libfprint.pc

#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-static
%make
pushd doc
make docs
popd


%install
%makeinstall_std

# what is this?
mkdir -p %{buildroot}%{_sysconfdir}/udev/
mv %{buildroot}/rules.d %{buildroot}%{_sysconfdir}/udev/

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.5.1-2
+ Revision: 18f41b7
- MassBuild#440: Increase release tag


